/*------------------------------------------------------------------------------
 lib/djv_image/io_lut_etc.cxx

 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include <djv_image/io_lut.h>

namespace djv_image {
namespace io_lut {

DJV_STR_OPERATOR_SET(SPEC, label_spec())
DJV_STR_OPERATOR_GET(SPEC, label_spec())
DJV_STR_OPERATOR_SET(TYPE, label_type())
DJV_STR_OPERATOR_GET(TYPE, label_type())

const List<Str> & label_spec()
{
  static const List<Str> data = List<Str>() <<
    "Inferno" <<
    "Kodak";
  return data;
}

const List<Str> & label_type()
{
  static const List<Str> data = List<Str>() <<
    "Auto" <<
    "U8" <<
    "U10" <<
    "U16";
  return data;
}

const List<Str> & label_load_option()
{
  static const List<Str> data = List<Str>() <<
    "Spec" <<
    "Type";
  return data;
}

const List<Str> & label_save_option()
{
  static const List<Str> data = List<Str>() <<
    "Spec";
  return data;
}

}
}
