/*------------------------------------------------------------------------------
 plugin/djv_tiff/etc.cxx
 
 Copyright (c) 2004-2008 Darby Johnston. All rights reserved.
 Use is subject to license terms.
------------------------------------------------------------------------------*/

#include "base.h"

namespace djv_tiff {

void tiff_init()
{
  TIFFSetErrorHandler(0);
  TIFFSetWarningHandler(0);
}

DJV_STR_OPERATOR_SET(COMPRESS, label_compress())
DJV_STR_OPERATOR_GET(COMPRESS, label_compress())

const List<Str> & label_compress()
{
  static const List<Str> data = List<Str>() <<
    "None" <<
    "RLE" <<
    "LZW";
  return data;
}

}

